> For a complete page index, fetch https://developer.close.com/llms.txt

# List all the exports

GET https://api.close.com/api/v1/export/

Reference: https://developer.close.com/api/resources/exports/list

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `_limit` (integer, optional, default: 100) — Number of results to return.
- `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination.
- `_fields` (string, optional) — Comma-separated list of fields to include in the response.

## Response

### 200

Successful response

- `data` (list of object, required)
  - `created_by` (string, required, nullable)
  - `date_created` (datetime, required)
  - `date_format` (enum, required)
    - Allowed values: `original`, `iso8601`, `excel`
  - `date_updated` (datetime, required)
  - `download_url` (string, required, nullable)
  - `fields` (list of string, required)
  - `format` (enum, required)
    - Allowed values: `csv`, `json`
  - `id` (string, required)
  - `n_docs` (integer, required, nullable)
  - `n_docs_processed` (integer, required)
  - `organization_id` (string, required)
  - `send_done_email` (boolean, required)
  - `status` (enum, required)
    - Allowed values: `created`, `started`, `in_progress`, `done`, `error`
  - `type` (enum, required)
    - Allowed values: `leads`, `contacts`, `lead_opps`, `opps`, `opportunities`
  - `updated_by` (string, required, nullable)
  - `limit` (integer, optional, nullable)
  - `params` (map from string to JSONDict or list of JSON or string or integer or double or boolean, optional, nullable)
  - `query` (string, optional, nullable)
  - `results_limit` (integer, optional, nullable)
  - `s_query` (map from string to JSONDict or list of JSON or string or integer or double or boolean, optional, nullable)
  - `sort` (list of map from string to JSONDict or list of JSON or string or integer or double or boolean, optional, nullable)
- `has_more` (boolean, required)

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Examples

**Response**

```json
{
  "data": [
    {
      "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "date_created": "2014-04-02T15:00:05.190000+00:00",
      "date_format": "iso8601",
      "date_updated": "2014-04-02T23:36:30.719000+00:00",
      "download_url": "https://url-to-generated-leads.csv",
      "fields": [
        "addresses",
        "contacts",
        "created_by",
        "created_by_name",
        "custom",
        "date_created",
        "date_updated",
        "description",
        "display_name",
        "id",
        "name",
        "status_id",
        "status_label",
        "updated_by",
        "updated_by_name",
        "url"
      ],
      "format": "csv",
      "id": "expo_yasd512lkhIhxrvLG8iVupzjoJVRPgrGhJ0A0b3bae",
      "n_docs": 100000,
      "n_docs_processed": 100000,
      "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
      "send_done_email": false,
      "status": "done",
      "type": "leads",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "results_limit": null,
      "s_query": {
        "queries": [
          {
            "object_type": "lead",
            "type": "object_type"
          },
          {
            "condition": {
              "mode": "full_words",
              "type": "text",
              "value": "ACME Inc."
            },
            "field": {
              "field_name": "name",
              "object_type": "lead",
              "type": "regular_field"
            },
            "type": "field_condition"
          }
        ],
        "type": "and"
      },
      "sort": []
    },
    {
      "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "date_created": "2014-04-02T15:32:54.774000+00:00",
      "date_format": "original",
      "date_updated": "2014-04-02T23:35:59.704000+00:00",
      "download_url": "https://url-to-generated-contacts.json",
      "fields": [
        "created_by",
        "date_created",
        "date_updated",
        "emails",
        "id",
        "name",
        "phones",
        "title",
        "updated_by",
        "urls"
      ],
      "format": "json",
      "id": "expo_9lHXk6sbASDKFJNZ59arhUCdS2CqNm9OTv6yb",
      "n_docs": 100000,
      "n_docs_processed": 100000,
      "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
      "send_done_email": false,
      "status": "done",
      "type": "contacts",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "results_limit": null,
      "s_query": {
        "queries": [
          {
            "object_type": "lead",
            "type": "object_type"
          },
          {
            "condition": {
              "mode": "full_words",
              "type": "text",
              "value": "ACME Inc."
            },
            "field": {
              "field_name": "name",
              "object_type": "lead",
              "type": "regular_field"
            },
            "type": "field_condition"
          }
        ],
        "type": "and"
      },
      "sort": []
    },
    {
      "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "date_created": "2014-04-02T15:32:54.774000+00:00",
      "date_format": "iso8601",
      "date_updated": "2014-04-02T23:35:59.704000+00:00",
      "download_url": null,
      "fields": [
        "created_by",
        "date_created",
        "date_updated",
        "emails",
        "id",
        "name",
        "phones",
        "title",
        "updated_by",
        "urls"
      ],
      "format": "csv",
      "id": "expo_9lHXk6sbznxcuQOEASDF59arhUCdS2CqNm9OTv6yb",
      "n_docs": 100000,
      "n_docs_processed": 5000,
      "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
      "send_done_email": false,
      "status": "in_progress",
      "type": "opportunities",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "results_limit": null,
      "s_query": {
        "queries": [
          {
            "object_type": "lead",
            "type": "object_type"
          },
          {
            "condition": {
              "mode": "full_words",
              "type": "text",
              "value": "ACME Inc."
            },
            "field": {
              "field_name": "name",
              "object_type": "lead",
              "type": "regular_field"
            },
            "type": "field_condition"
          }
        ],
        "type": "and"
      },
      "sort": []
    },
    {
      "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "date_created": "2014-04-01T16:50:22.256000+00:00",
      "date_format": "iso8601",
      "date_updated": "2014-04-02T00:55:34.967000+00:00",
      "download_url": "https://url-to-generated-opps.csv",
      "fields": [
        "confidence",
        "contact_id",
        "created_by",
        "created_by_name",
        "date_created",
        "date_updated",
        "date_won",
        "id",
        "lead_id",
        "lead_name",
        "note",
        "status_id",
        "status_label",
        "status_type",
        "updated_by",
        "updated_by_name",
        "user_id",
        "user_name",
        "value",
        "value_period"
      ],
      "format": "csv",
      "id": "expo_ASFasdfasdAY8VZhRiSn5UG2wNGRUrRurHdaN7kQp6",
      "n_docs": 100000,
      "n_docs_processed": 100000,
      "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
      "send_done_email": false,
      "status": "done",
      "type": "opportunities",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "params": {
        "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
        "status_id": "stat_laksdjfxOOHx2JnhqtovutN3zeuARGfzB21x5t1W88G"
      }
    }
  ],
  "has_more": false
}
```

**SDK Code**

```python exports_list_example
import requests

url = "https://api.close.com/api/v1/export/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript exports_list_example
const url = 'https://api.close.com/api/v1/export/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go exports_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/export/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby exports_list_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/export/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java exports_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/export/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php exports_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/export/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp exports_list_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/export/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```